nfsoftf_plan_ Struct Reference

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftwf_complex * | f_hat
| Fourier coefficients.
fftwf_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
float * | x
| input nodes
fftwf_complex * | wig_coeffs
| deprecated variable
fftwf_complex * | cheby
| deprecated variable
fftwf_complex * | aux
| deprecated variable
int | t
| the logarithm of NPT with respect to the basis 2
unsigned int | flags
| the planner flags
nfftf_plan | p_nfft
| the internal NFFT plan
fptf_set * | internal_fpt_set
| the internal FPT plan
int | nthreads
| the number of threads

## Detailed Description

Definition at line 692 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT nfsoftf_plan_::N_total

Total number of Fourier coefficients.

Definition at line 692 of file nfft3.h.

## M_total

NFFT_INT nfsoftf_plan_::M_total

Total number of samples.

Definition at line 692 of file nfft3.h.

## f_hat

fftwf_complex* nfsoftf_plan_::f_hat

Fourier coefficients.

Definition at line 692 of file nfft3.h.

## f

fftwf_complex* nfsoftf_plan_::f

Samples.

Definition at line 692 of file nfft3.h.

## mv_trafo

void(* nfsoftf_plan_::mv_trafo) (void *)

Transform.

Definition at line 692 of file nfft3.h.

## mv_adjoint

void(* nfsoftf_plan_::mv_adjoint) (void *)

Adjoint transform.

Definition at line 692 of file nfft3.h.

## x

float* nfsoftf_plan_::x

input nodes

Definition at line 692 of file nfft3.h.

## wig_coeffs

fftwf_complex* nfsoftf_plan_::wig_coeffs

deprecated variable

Definition at line 692 of file nfft3.h.

## cheby

fftwf_complex* nfsoftf_plan_::cheby

deprecated variable

Definition at line 692 of file nfft3.h.

## aux

fftwf_complex* nfsoftf_plan_::aux

deprecated variable

Definition at line 692 of file nfft3.h.

## t

int nfsoftf_plan_::t

the logarithm of NPT with respect to the basis 2

Definition at line 692 of file nfft3.h.

## flags

unsigned int nfsoftf_plan_::flags

the planner flags

Definition at line 692 of file nfft3.h.

## p_nfft

nfftf_plan nfsoftf_plan_::p_nfft

the internal NFFT plan

Definition at line 692 of file nfft3.h.

## internal_fpt_set

fptf_set* nfsoftf_plan_::internal_fpt_set

the internal FPT plan

Definition at line 692 of file nfft3.h.

## nthreads

int nfsoftf_plan_::nthreads

the number of threads

Definition at line 692 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h